Bug 434762 - acroread provides libstdc++ and libssl
acroread provides libstdc++ and libssl
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: acroread (Show other bugs)
4.8
All Linux
low Severity high
: rc
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 06:03 EST by Andrew Elwell
Modified: 2009-06-12 09:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: acroread-8.1.2.SU1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 09:43:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Elwell 2008-02-25 06:03:35 EST
Description of problem:
Acroread 8.1.2 rpm (see RHSA-2008-0144) incorrectly provides system libraries

Version-Release number of selected component (if applicable):
8.1.2

How reproducible:
100%


Steps to Reproduce:
1. rpm -qip --provides acroread-8.1.2-1.el4.2.i386.rpm

Actual results:
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(CXXABI_1.3.1)
libstdc++.so.6(GLIBCXX_3.4)
libstdc++.so.6(GLIBCXX_3.4.1)
libstdc++.so.6(GLIBCXX_3.4.2)
libstdc++.so.6(GLIBCXX_3.4.3)
libstdc++.so.6(GLIBCXX_3.4.4)
libstdc++.so.6(GLIBCXX_3.4.5)
libstdc++.so.6(GLIBCXX_3.4.6)
libstdc++.so.6(GLIBCXX_3.4.7)

Expected results:
not the above!

Additional info:
See http://scotgrid.blogspot.com/2008/02/acrobat-ate-my-disk-servers.html and https://remedy01.cern.ch/cgi-bin/consult.cgi?
caseid=CT0000000503584&email=a.elwell@physics.gla.ac.uk&worklog=1
Comment 1 Andrew Elwell 2008-02-25 11:30:10 EST
Looks like it was reported to Acrobat and a workaround (%define _use_internal_dependency_generator 0 
) suggested http://www.adobeforums.com/webx/.3c056cc9


Comment 2 Sebastien BLAISOT 2008-07-18 08:30:09 EDT
also exists on RHEL 5.2

extremely anoying when trying to install a package requiring libstdc++ (say
mysql by example) on an @base system registered to redhat supplementary (aka
extra) channels

step to reproduce :
1. install @base systeme
2. yum install mysql
3. yum installs also acroread and a lots of graphical libraries
Comment 3 Kristian Høgsberg 2008-07-18 09:42:06 EDT
Andrew, you mention libssl in the title of this bug, but I don't see that.  Am I
missing something?

[krh@devserv krh]$ rpm -qp --provides acroread-8.1.2-1.el5.2.i386.rpm | grep ssl
[krh@devserv krh]$ 
Comment 4 Sebastien BLAISOT 2008-07-18 09:52:19 EDT
I think it's libgcc_s.so.1 instead of libssl.

libssl not seen here too.
Comment 5 Tomas Hoger 2009-06-12 09:42:14 EDT
This was fixed in acroread-8.1.2.SU1:
  https://rhn.redhat.com/errata/RHSA-2008-0641.html

Note You need to log in before you can comment on or make changes to this bug.